#include <iostream>
//#include <iomanip>
//#include <cmath>
//#include <algorithm>
//#include <string>
//#include <vector>
//#include <ctime>
//#include <cstdlib>
//#include <mycpp.h>

using namespace std;

bool CvrstBroj(string s)
{
	for(int i=0;i<s.length()-2;i++)
	{
		for(int j=i+1;j<s.length()-1;j++)
		{
			if(s[i]==s[j])
			{
				char c=s[i];
				bool cvrst=true;
				for(int k=i;k<=j;k++)
				{
					if(s[k]!=c)
						return false;
				}
					return true;
			}
		}
	}
}

int main()
{
	string s;
	cin>>s;
	cout<<CvrstBroj(s);
}